Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.event
Class KnowledgeBaseAdapter

    java.lang.Object
      edu.stanford.smi.protege.event.KnowledgeBaseAdapter

All Implemented Interfaces:
  KnowledgeBaseListener, EventListener

    public abstract class KnowledgeBaseAdapter

extends Object
implements KnowledgeBaseListener

Adapter for the listener interface for Knowledge base events. Subclass this class if you want only to catch a few knowledge base events.

Author:
  Ray Fergerson

Constructor Summary
`KnowledgeBaseAdapter()`

Method Summary
`void` | `clsCreated(KnowledgeBaseEvent event)`
`void` | `clsDeleted(KnowledgeBaseEvent event)`
`void` | `defaultClsMetaClsChanged(KnowledgeBaseEvent event)`
`void` | `defaultFacetMetaClsChanged(KnowledgeBaseEvent event)`
`void` | `defaultSlotMetaClsChanged(KnowledgeBaseEvent event)`
`void` | `facetCreated(KnowledgeBaseEvent event)`
`void` | `facetDeleted(KnowledgeBaseEvent event)`
`void` | `frameNameChanged(KnowledgeBaseEvent event)` Deprecated.
`void` | `frameReplaced(KnowledgeBaseEvent event)`
`void` | `instanceCreated(KnowledgeBaseEvent event)`
`void` | `instanceDeleted(KnowledgeBaseEvent event)`
`void` | `slotCreated(KnowledgeBaseEvent event)`
`void` | `slotDeleted(KnowledgeBaseEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KnowledgeBaseAdapter

    public KnowledgeBaseAdapter()

Method Detail

### clsCreated

    public void clsCreated(KnowledgeBaseEvent event)

  Specified by:
    `clsCreated` in interface `KnowledgeBaseListener`

### clsDeleted

    public void clsDeleted(KnowledgeBaseEvent event)

  Specified by:
    `clsDeleted` in interface `KnowledgeBaseListener`

### defaultClsMetaClsChanged

    public void defaultClsMetaClsChanged(KnowledgeBaseEvent event)

  Specified by:
    `defaultClsMetaClsChanged` in interface `KnowledgeBaseListener`

### defaultFacetMetaClsChanged

    public void defaultFacetMetaClsChanged(KnowledgeBaseEvent event)

  Specified by:
    `defaultFacetMetaClsChanged` in interface `KnowledgeBaseListener`

### defaultSlotMetaClsChanged

    public void defaultSlotMetaClsChanged(KnowledgeBaseEvent event)

  Specified by:
    `defaultSlotMetaClsChanged` in interface `KnowledgeBaseListener`

### facetCreated

    public void facetCreated(KnowledgeBaseEvent event)

  Specified by:
    `facetCreated` in interface `KnowledgeBaseListener`

### facetDeleted

    public void facetDeleted(KnowledgeBaseEvent event)

  Specified by:
    `facetDeleted` in interface `KnowledgeBaseListener`

### frameNameChanged

    @Deprecated
    public void frameNameChanged(KnowledgeBaseEvent event)

  Deprecated.

  Description copied from interface: `KnowledgeBaseListener`
  This method should be called frameReplaced(). Its name cannot be changed for backwards compatibility reasons. The closest thing in Protege frames to a rename frame operation is a replace frame operation where a frame is deleted and a new frame is created which is identical to the original except for the name. When this happens the following method is called.

  Specified by:
    `frameNameChanged` in interface `KnowledgeBaseListener`

### frameReplaced

    public void frameReplaced(KnowledgeBaseEvent event)

### instanceCreated

    public void instanceCreated(KnowledgeBaseEvent event)

  Specified by:
    `instanceCreated` in interface `KnowledgeBaseListener`

### instanceDeleted

    public void instanceDeleted(KnowledgeBaseEvent event)

  Specified by:
    `instanceDeleted` in interface `KnowledgeBaseListener`

### slotCreated

    public void slotCreated(KnowledgeBaseEvent event)

  Specified by:
    `slotCreated` in interface `KnowledgeBaseListener`

### slotDeleted

    public void slotDeleted(KnowledgeBaseEvent event)

  Specified by:
    `slotDeleted` in interface `KnowledgeBaseListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.